summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthias Maier <tamiko@gentoo.org>2021-11-11 22:04:45 -0600
committerMatthias Maier <tamiko@gentoo.org>2021-11-11 22:06:27 -0600
commitaa93f887966538daa245744d0a4d1e88251c812d (patch)
treebdcef477c0612aa4b9349c919d9e9580a3630fad
parentapp-misc/rlwrap: bump to 0.45.2 (diff)
downloadgentoo-aa93f887966538daa245744d0a4d1e88251c812d.tar.gz
gentoo-aa93f887966538daa245744d0a4d1e88251c812d.tar.bz2
gentoo-aa93f887966538daa245744d0a4d1e88251c812d.zip
sci-libs/libsc: version bump to 2.3.3
Package-Manager: Portage-3.0.28, Repoman-3.0.3 Signed-off-by: Matthias Maier <tamiko@gentoo.org>
-rw-r--r--sci-libs/libsc/Manifest1
-rw-r--r--sci-libs/libsc/libsc-2.3.3.ebuild100
2 files changed, 101 insertions, 0 deletions
diff --git a/sci-libs/libsc/Manifest b/sci-libs/libsc/Manifest
index f17c047aae4..f5ddaed8843 100644
--- a/sci-libs/libsc/Manifest
+++ b/sci-libs/libsc/Manifest
@@ -1 +1,2 @@
DIST libsc-2.3.1.tar.gz 344456 BLAKE2B cee44d07372162aecc8104257d1c5d4935d60030ceae4041ae4c5110f491b48b7709c55af0286b2a1fc5df2d7883b2ab4499c3884162b779fb9aaa86fbc5822c SHA512 02e160ad6fb4e674a9de2a41cfef6727d470a17c184e7b0310fe3e39f1112f4c643ca35a62377562caf1e8cc753cd5c0f5f996fba24b115498b01d16c140080a
+DIST libsc-2.3.3.tar.gz 345177 BLAKE2B c9077cfe7af3eb8bfb34cf655fa8e49658f1ce0b866b58398fc7bae305ac276b002c83d930a20df1bdf52a22645ebb1698d51a937ce56db993d36ef68d640e8a SHA512 b51d08a987d7c8a83eaae0be98a078a4a9160b9141b482015110534ddac075337c81f54f3efa4f8a8bce54e31565a6323aad37e35674c1d40686d4ab3747ed6b
diff --git a/sci-libs/libsc/libsc-2.3.3.ebuild b/sci-libs/libsc/libsc-2.3.3.ebuild
new file mode 100644
index 00000000000..667c713b009
--- /dev/null
+++ b/sci-libs/libsc/libsc-2.3.3.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} )
+
+inherit autotools lua-single toolchain-funcs
+
+DESCRIPTION="Support for parallel scientific applications"
+HOMEPAGE="http://www.p4est.org/"
+
+if [[ ${PV} == *9999 ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/cburstedde/${PN}.git"
+ EGIT_BRANCH="develop"
+else
+ SRC_URI="https://github.com/cburstedde/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="debug examples mpi openmp romio threads"
+REQUIRED_USE="
+ ${LUA_REQUIRED_USE}
+ romio? ( mpi )"
+
+RDEPEND="
+ ${LUA_DEPS}
+ sys-apps/util-linux
+ virtual/blas
+ virtual/lapack
+ mpi? ( virtual/mpi[romio?] )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-2.3-autoconf_lua_version.patch
+ "${FILESDIR}"/${PN}-2.3-add_soname.patch
+)
+
+pkg_pretend() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+}
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+ lua-single_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ sed -i -e "s/@LUA_IMPL@/${ELUA}/" "${S}"/src/sc_lua.h || die
+
+ # Inject a version number into the build system
+ echo "${PV}" > ${S}/.tarball-version || die
+ eautoreconf
+}
+
+src_configure() {
+ local myeconfargs=(
+ --disable-static
+ $(use_enable debug)
+ $(use_enable mpi)
+ $(use_enable openmp openmp)
+ $(use_enable romio mpiio)
+ $(use_enable threads pthread)
+ --with-blas="$($(tc-getPKG_CONFIG) --libs blas)"
+ --with-lapack="$($(tc-getPKG_CONFIG) --libs lapack)"
+ )
+ econf LUA_IMPL="${ELUA}" "${myeconfargs[@]}"
+}
+
+src_install() {
+ default
+
+ if use examples; then
+ docinto examples
+ dodoc -r example/*
+ docompress -x /usr/share/doc/${PF}/examples
+ else
+ # Remove compiled example binaries in case of -examples:
+ rm -r "${ED}"/usr/bin || die "rm failed"
+ fi
+
+ # Remove ac files, bug #619806
+ rm -r "${ED}"/usr/share/aclocal || die "rm failed"
+
+ # Fix wrong installation paths:
+ dodir /usr/share/libsc
+ mv "${ED}"/etc/* "${ED}"/usr/share/libsc || die "mv failed"
+ rmdir "${ED}"/etc/ || die "rmdir failed"
+ mv "${ED}"/usr/share/ini/* "${ED}"/usr/share/libsc || die "mv failed"
+ rmdir "${ED}"/usr/share/ini || die "rmdir failed"
+
+ # no static archives
+ find "${ED}" -name '*.la' -delete || die
+}